<?php

function clientLastProfileID($connect,$client,$item){
    $query = "select size_profile
    from tailor_tb_sizes_profile 
    where item_id =:item  AND client = :client 
    order by last_update DESC
    limit 1
    ";
    $stm = $connect->prepare($query);
    $stm->execute(['item'=>$item,'client'=>$client]);
   
    if($stm->rowCount() > 0){
        $row = $stm->fetch();
        return $row['size_profile'];
    }
    return null;
}

function sizeGuide($connect,$item,$branch, $default_values = null){
    $data =[];
    $query = "select size_code, size_title,is_requerd
    from tailor_tb_sizes_guide 
    where item_id =:item AND is_stoped is null AND branch =:branch
    order by size_sort
    ";
    $stm = $connect->prepare($query);
    $stm->execute(['item'=>$item,'branch'=>$branch]);

    if($stm->rowCount() > 0){
    $rows = $stm->fetchAll();
        foreach($rows as $row)
        {

         $data[$row['size_code']]['code'] = $row['size_code']; 
         $data[$row['size_code']]['title'] = $row['size_title']; 
         $data[$row['size_code']]['val'] = !empty($default_values) && !empty($default_values[$row['size_code']]) ?  $default_values[$row['size_code']]: ''; 
         $data[$row['size_code']]['requerd'] = !empty($row['is_requerd'])?'requerd':''; 
         
        }
    }
    return $data;
}

/* 
function clientSizeProfiles($connect,$client,$item,$limits = 1){
    $data = [];
    $query = "select p.size_profile, p.created_time, p.created_by, p.last_update, 
    u.FirstName, u.LastName
    from tailor_tb_sizes_profile p 
    left join tblusers u ON u.UserID = p.created_by
    
    where p.item_id =:item  AND p.client = :client 
    order by p.last_update DESC
    limit $limits 
    ";
   //  if($limits > 0){
   //     $query .=" limit $limits ";
   // } 
    $stm = $connect->prepare($query);
    $stm->execute(['item'=>$item,'client'=>$client]);
   
    if($stm->rowCount() > 0){
        $rows = $stm->fetchAll();
        foreach($rows as $row)
        {
             $data[$row['size_profile']]['size_profile'] = $row['size_profile']; 
             $data[$row['size_profile']]['created_time'] = $row['created_time']; 
             $data[$row['size_profile']]['last_update'] = $row['last_update']; 
             $data[$row['size_profile']]['created_by'] = $row['FirstName'].' '.$row['LastName'] ; 

        }
    return $data;
    }
    return null;
} */


function clientSizeProfileValues($connect,$profile){
    $data = [];
    $query = "select size_code, size_value
        from tailor_tb_sizes_values 
    where size_profile =:profile 
   
    ";

    $stm = $connect->prepare($query);
    $stm->execute(['profile'=>$profile]);
   
    if($stm->rowCount() > 0){
        $rows = $stm->fetchAll();
        foreach($rows as $row)
        {
             $data[$row['size_code']] = $row['size_value']; 
        }
    
    }
   return $data;
}

 function clientSizeProfiles($connect,$client,$item,$limits = 10){
    $data = [];
    $query = "SELECT o.order_id, o.req_id, o.item_size_profile, o.model, o.fabric_desc, o.order_note, r.req_date,
u.FirstName, u.LastName
FROM tailor_tb_order_d o
LEFT JOIN tailor_tb_order_h r ON r.req_id = o.req_id
LEFT JOIN tailor_tb_sizes_profile s ON s.size_profile = o.item_size_profile
LEFT JOIN tblusers u ON u.UserID = s.created_by
WHERE r.client = :client AND r.item_id = :item
order by r.req_date desc 
limit $limits
    ";

    $stm = $connect->prepare($query);
    $stm->execute(['item'=>$item,'client'=>$client]);
   
    if($stm->rowCount() > 0){
        $rows = $stm->fetchAll();
        foreach($rows as $row)
        {
             $data[$row['order_id']]['profile_id']        = $row['item_size_profile']; 
             $data[$row['order_id']]['req_id']            = $row['req_id']; 
             $data[$row['order_id']]['model']             = $row['model']; 
             $data[$row['order_id']]['fabric']            = $row['fabric_desc']; 
             $data[$row['order_id']]['req_date']          = $row['req_date']; 
             $data[$row['order_id']]['order_note']        = $row['order_note']; 
             $data[$row['order_id']]['sized_by']          = $row['FirstName'].' '.$row['LastName'] ; 

        }
    return $data;
    }
    return null;
} 
